// $Id: J4CDCDummyDriftRegion.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4CDCDUMMYDRIFTREGION__
#define __J4CDCDUMMYDRIFTREGION__
//*************************************************************************
//* --------------------
//* J4CDCDUMMYDRIFTREGION
//* --------------------
//* (Description)
//* 	Derivation class for CDC Dummy DriftRegion.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VCDCDetectorComponent.hh"
//#include "J4CDCFieldWire.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4CDCDummyDriftRegion : public J4VCDCDetectorComponent {	

public:
  J4CDCDummyDriftRegion( J4VDetectorComponent *parent = 0,
  		         G4int nclones   = 1,
  		         G4int nbrothers = 1, 
  		         G4int me = 0);
  		      		     
  virtual ~J4CDCDummyDriftRegion();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	SwitchOn()  ;
  virtual void	SwitchOff() ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble(); 
  void  Cabling ();  
   
private:  
  static G4String fName;
//  J4CDCFieldWire* fFieldWire;
  
};

#endif



