// $Id: J4EventAction.cc,v 1.1.1.1 2001/08/31 07:38:35 hoshina Exp $
// ====================================================================
//      J4EventAction.cc
//
//                                 .JLC-CDC, 2001
// ====================================================================
#include <fstream.h>
#include <iomanip.h>

#include "G4RunManager.hh"
#include "G4Event.hh"
#include "G4SDManager.hh"

#include "J4RunAction.hh"
#include "J4EventAction.hh"

#include "G4VHitsCollection.hh"

#include "J4DetectorConstruction.hh"

// SD of each detector componet

// Visualization
#include "G4UImanager.hh"
#include "G4VVisManager.hh"

  G4int triggered = 0;
  
//#define _VERBOSE_

// ====================================================================
//
// class description
//
// ====================================================================

////////////////////////////////////
J4EventAction::J4EventAction()
////////////////////////////////////
{
}


/////////////////////////////////////////////////////////////////
void J4EventAction::BeginOfEventAction(const G4Event* anEvent)
/////////////////////////////////////////////////////////////////
{
  // printout primary information
  
#ifdef _VERBOSE_
  G4cout << "*** Primary Information" << G4endl;
  G4int nVtx= anEvent-> GetNumberOfPrimaryVertex();
  G4int i;
  for(i=0; i< nVtx; i++) {
    const G4PrimaryVertex* primaryVertex= anEvent-> GetPrimaryVertex(i);
    primaryVertex-> Print();  
  }
#endif  
  
}

///////////////////////////////////////////////////////////////
void J4EventAction::EndOfEventAction(const G4Event* anEvent)
///////////////////////////////////////////////////////////////
{
  const G4RunManager* runManager= G4RunManager::GetRunManager();
  const G4UserRunAction* usrRunAction= runManager-> GetUserRunAction();
  G4SDManager* SDManager= G4SDManager::GetSDMpointer();

  // ====================================================================  
  // printout hit information of each detector


  // ====================================================================  
  // output "Hit Collection of This Event" to a hit data file
  
  G4HCofThisEvent* HCTE= anEvent-> GetHCofThisEvent();
  
  G4cerr << "EventAction :: HCTE = "<< HCTE->GetNumberOfCollections()<<G4endl;
  
  if(! HCTE) return;  // no hits in this events. nothing to do!

  ofstream& ofs= ((J4RunAction*)usrRunAction)-> GetOutputFileStream();
  if(! ofs.good()) {
    G4String errorMessage= "EventAction::EndOfEventAction(): write error.";
    G4Exception(errorMessage);
  }
  
 
  // =====================================================================
  // Trigger system
  
  // =====================================================================
  // 
  
     G4int event = anEvent->GetEventID();
     ofs << "*******_Start_of_event_" << event << "_*******" <<G4endl;
     
     G4cerr << "**********************************************" << G4endl;
     G4cerr << "*******_Start_of_event_" << event << "_*******" <<G4endl;
     G4cerr << "**********************************************" << G4endl;
     
     ofs << event << G4endl;
  
     G4cerr << "EventAction::EndOfEvent is called " << G4endl;
     
     J4DetectorConstruction::fExpHall->OutputAll(HCTE);
     
     G4cerr << "EventAction::OutputAll finished " << G4endl;
     
     ofs << "*******_End_of_event_" << event << "_*******" <<G4endl;
  
  
  // ---------------------------------------------------------------------
  // end of event.......
  
          
#if 0

     if(HCTE->GetNumberOfCollections()) {
     	G4int i = 0;
     	for (i; i < HCTE->GetNumberOfCollections() ; i++){
     	  delete HCTE->GetHC(i);		
     	}
     }
     
#endif
    
}
